Subject: Re: bug#35351: 27.0.50; Enable derived modes to run their own very-early 'change-major-mode-hook' code

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Apr 2019 22:08:58 -0400

>> Oh, you're absolutely right, it's called ":after-hook" because it
>> runs after the mode-hook.
> Which means :before-hook definitely isn't a good name for the new
> keyword.

It's run before the before-change-mode-hook, so the name isn't
completely wrong (and the description of :before-hook makes this
connection clear).

> Should I go with :eval-before ?

I'd prefer we avoid "eval" since that would suggest to quote the form.
IOW, I think `:before-hook` is fine.

        Stefan